# $Revision: 1.26 $, $Date: 2009/10/23 22:04:27 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	A GNU package for creating portable C++ programs
Summary(pl.UTF-8):	Pakiet GNU do tworzenia przenośnych programów w C++
Name:		commoncpp2
Version:	1.7.3
Release:	1
License:	GPL
Group:		Libraries
Source0:	http://ftp.gnu.org/gnu/commoncpp/%{name}-%{version}.tar.gz
# Source0-md5:	ca741179a728d264eb276ae471ebaf70
Patch0:		%{name}-lt.patch
Patch1:		%{name}-gcc4.patch
URL:		http://www.gnu.org/software/commoncpp/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	openssl-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the second major release of GNU Common C++. GNU Common C++ "2"
is a GNU package which offers portable "abstraction" of system
services such as threads, networks, and sockets. GNU Common C++ "2"
also offers individual frameworks generally useful to developing
portable C++ applications including a object persistance engine, math
libraries, threading, sockets, etc. GNU Common C++ "2" is small, and
highly portable. GNU Common C++ "2" will support most Unix operating
systems as well as Win32, in addition to GNU/Linux.

%description -l pl.UTF-8
Drugie główne wydanie GNU Common C++. GNU Common C++ oferuje przenośne
abstrakcje usług systemowych takich jak wątki, sieci i gniazda.
Oferuje także poszczególne szkielety użyteczne do rozwijania
przenośnych aplikacji C++ zawierające silnik trwałych obiektów,
biblioteki matematyczne, wątków, gniazd itd. GNU Common C++ jest mały
i przenośny. Oprócz GNU/Linuksa obsługuje także większość uniksowych
systemów operacyjnych oraz Win32.

%package devel
Summary:	Header files for commoncpp2 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki commoncpp2
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel
Requires:	libxml2-devel
Requires:	openssl-devel
Requires:	zlib-devel

%description devel
Header files for commoncpp2 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki commoncpp2.

%package static
Summary:	Static commoncpp2 library
Summary(pl.UTF-8):	Statyczna biblioteka commoncpp2
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static commoncpp2 library.

%description static -l pl.UTF-8
Statyczna biblioteka commoncpp2.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static} \
	--with-openssl
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post devel	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun devel	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING.addendum NEWS README TODO ChangeLog
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%ghost %{_libdir}/libccext2-1.7.so.0
%ghost %{_libdir}/libccgnu2-1.7.so.0

%files devel
%defattr(644,root,root,755)
%doc doc/html/*.html doc/html/*.*g*
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/cc++
%{_aclocaldir}/*.m4
%{_pkgconfigdir}/*.pc
%{_infodir}/*.info*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: commoncpp2.spec,v $
Revision 1.26  2009/10/23 22:04:27  sls
- added gcc4.patch
- make -j1
- rel. 1

Revision 1.25  2009/10/23 21:43:49  sls
- ver. 1.7.3

Revision 1.24  2009/02/27 21:21:46  arekm
- release 2

Revision 1.23  2009/02/27 21:21:11  arekm
- up to 1.7.1

Revision 1.22  2008/12/19 21:12:37  arekm
- up to 1.7.0

Revision 1.21  2008/11/30 00:06:14  charles
- -devel R: openssl-devel
- without static_libs bcond

Revision 1.20  2008/08/23 11:26:18  qboosh
- unified ftp.gnu.org URL

Revision 1.19  2008/08/23 10:58:19  arekm
- up to 1.6.3

Revision 1.18  2008-05-25 19:56:43  zbyniu
- up to 1.6.2

Revision 1.17  2008-01-24 01:36:30  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.16  2008-01-16 07:24:40  arekm
- up to 1.6.1

Revision 1.15  2007/06/14 18:17:42  arekm
- up to 1.5.7

Revision 1.14  2007/02/28 00:25:00  arekm
- up to 1.5.6

Revision 1.13  2007/02/12 21:23:51  glen
- tabs in preamble

Revision 1.12  2007/02/12 00:48:42  baggins
- converted to UTF-8

Revision 1.11  2007/01/13 15:27:30  qboosh
- automake -f already updates config.sub

Revision 1.10  2007/01/04 10:02:51  tommat
- more regeneration, now linking ok

Revision 1.9  2007/01/02 11:01:49  arekm
- up to 1.5.3

Revision 1.8  2006/11/10 10:39:28  arekm
- fixed

Revision 1.7  2006/11/10 09:35:25  arekm
- up to 1.5.1

Revision 1.6  2006/04/24 21:59:07  arekm
- up to 1.3.26

Revision 1.5  2005/12/09 22:21:31  undefine
- up to 1.3.22

Revision 1.4  2005/11/22 02:43:16  charles
- updated to 1.3.21
- updated URLs
- BR: automake for %{_aclocaldir}

Revision 1.3  2005/09/20 20:01:24  qboosh
- pl fixes+cosmetics, avoid packaging info/dir

Revision 1.2  2005/09/07 21:20:58  undefine
- pl description

Revision 1.1  2005/09/07 14:21:47  undefine
- initial
